diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
index 5d21a946..4ae0791f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
@@ -3,15 +3,17 @@
 /**
  * @file
  * This class represents a ldap_user module's configuration
- * It is extended by LdapUserConfAdmin for configuration and other admin functions
+ * It is extended by LdapUserConfAdmin for configuration and other admin functions.
  */
 
-require_once('ldap_user.module');
-
+require_once 'ldap_user.module';
+/**
+ *
+ */
 class LdapUserConf {
 
   /**
-   * server providing Drupal account provisioning
+   * Server providing Drupal account provisioning.
    *
    * @var string
    *
@@ -20,7 +22,7 @@ class LdapUserConf {
   public $drupalAcctProvisionServer = LDAP_USER_NO_SERVER_SID;
 
   /**
-   * server providing LDAP entry provisioning
+   * Server providing LDAP entry provisioning.
    *
    * @var string
    *
@@ -33,35 +35,35 @@ class LdapUserConf {
    *
    * @var array
    */
-  public $provisionSidFromDirection = array(
+  public $provisionSidFromDirection = [
     LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER => LDAP_USER_NO_SERVER_SID,
     LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => LDAP_USER_NO_SERVER_SID,
-  );
+  ];
 
   /**
    * Array of events that trigger provisioning of Drupal Accounts
    * Valid constants are:
    *   LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE
    *   LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE
-   *   LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE
+   *   LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE.
    *
    * @var array
    */
-  public $drupalAcctProvisionTriggers = array(LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE, LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE);
+  public $drupalAcctProvisionTriggers = [LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE, LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE];
 
   /**
    * Array of events that trigger provisioning of LDAP Entries
    * Valid constants are:
    *   LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE
    *   LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE
-   *   LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE
+   *   LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE.
    *
    * @var array
    */
-  public $ldapEntryProvisionTriggers = array();
+  public $ldapEntryProvisionTriggers = [];
 
   /**
-   * server providing LDAP entry provisioning
+   * Server providing LDAP entry provisioning.
    *
    * @var string
    *
@@ -81,7 +83,7 @@ class LdapUserConf {
   public $accountsWithSameEmail = LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED;
 
   /**
-   * drupal account creation model
+   * Drupal account creation model.
    *
    * @var int
    *   LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR   /admin/config/people/accounts/settings do not affect "LDAP Associated" Drupal accounts.
@@ -90,30 +92,31 @@ class LdapUserConf {
   public $acctCreation = LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR_DEFAULT;
 
   /**
-   * has current object been saved to the database?
-   *
-   * @var boolean
+   * Has current object been saved to the database?
    *
+   * @var bool
    */
   public $inDatabase = FALSE;
 
   /**
-   * what to do when an ldap provisioned username conflicts with existing drupal user?
+   * What to do when an ldap provisioned username conflicts with existing drupal user?
    *
    * @var int
    *   LDAP_USER_CONFLICT_LOG - log the conflict
    *   LDAP_USER_CONFLICT_RESOLVE - LDAP associate the existing drupal user
-   *
    */
   public $manualAccountConflict = LDAP_USER_MANUAL_ACCT_CONFLICT_REJECT;
 
-  public $setsLdapPassword = TRUE; // @todo default to FALSE and check for mapping to set to true
+  /**
+   * @todo default to FALSE and check for mapping to set to true
+   */
+  public $setsLdapPassword = TRUE;
 
   public $loginConflictResolve = FALSE;
 
   public $disableAdminPasswordField = FALSE;
   /**
-   * array of field synch mappings provided by all modules (via hook_ldap_user_attrs_list_alter())
+   * Array of field synch mappings provided by all modules (via hook_ldap_user_attrs_list_alter())
    * array of the form: array(
    * LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER | LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => array(
    *   <server_id> => array(
@@ -133,58 +136,61 @@ class LdapUserConf {
    *    )
    *  )
    */
-  public $synchMapping = NULL; // array of field synching directions for each operation.  should include ldapUserSynchMappings
-  // keyed on direction => property, ldap, or field token such as '[field.field_lname] with brackets in them.
-
   /**
-  * synch mappings configured in ldap user module (not in other modules)
-  *   array of the form: array(
-    LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER | LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => array(
-      'sid' => <server_id> (redundant)
-      'ldap_attr' => e.g. [sn]
-      'user_attr'  => e.g. [field.field_user_lname] (when this value is set to 'user_tokens', 'user_tokens' value is used.)
-      'user_tokens' => e.g. [field.field_user_lname], [field.field_user_fname]
-      'convert' => 1|0 boolean indicating need to covert from binary
-      'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER | LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY (redundant)
-      'config_module' => 'ldap_user'
-      'prov_module' => 'ldap_user'
-      'enabled' => 1|0 boolean
-       prov_events' => array( of LDAP_USER_EVENT_* constants indicating during which synch actions field should be synched)
-          - four permutations available
-             to ldap:   LDAP_USER_EVENT_CREATE_LDAP_ENTRY,  LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY,
-             to drupal: LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER
-      )
-    )
-  )
-  */
-  public $ldapUserSynchMappings = NULL;  //
-  // keyed on property, ldap, or field token such as '[field.field_lname] with brackets in them.
+   * Array of field synching directions for each operation.  should include ldapUserSynchMappings.
+   */
+  public $synchMapping = NULL;
+  // Keyed on direction => property, ldap, or field token such as '[field.field_lname] with brackets in them.
+  /**
+   * Synch mappings configured in ldap user module (not in other modules)
+   *   array of the form: array(
+   * LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER | LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => array(
+   * 'sid' => <server_id> (redundant)
+   * 'ldap_attr' => e.g. [sn]
+   * 'user_attr'  => e.g. [field.field_user_lname] (when this value is set to 'user_tokens', 'user_tokens' value is used.)
+   * 'user_tokens' => e.g. [field.field_user_lname], [field.field_user_fname]
+   * 'convert' => 1|0 boolean indicating need to covert from binary
+   * 'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER | LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY (redundant)
+   * 'config_module' => 'ldap_user'
+   * 'prov_module' => 'ldap_user'
+   * 'enabled' => 1|0 boolean
+   * prov_events' => array( of LDAP_USER_EVENT_* constants indicating during which synch actions field should be synched)
+   * - four permutations available
+   * to ldap:   LDAP_USER_EVENT_CREATE_LDAP_ENTRY,  LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY,
+   * to drupal: LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER
+   * )
+   * )
+   * )
+   */
+  public $ldapUserSynchMappings = NULL;
+  /**
+   * Keyed on property, ldap, or field token such as '[field.field_lname] with brackets in them.
+   */
   public $detailedWatchdog = FALSE;
   public $provisionsDrupalAccountsFromLdap = FALSE;
   public $provisionsLdapEntriesFromDrupalUsers = FALSE;
 
-  // what should be done with ldap provisioned accounts that no longer have associated drupal accounts.
+  /**
+   * What should be done with ldap provisioned accounts that no longer have associated drupal accounts.
+   */
   public $orphanedDrupalAcctBehavior = 'ldap_user_orphan_email';
-   /** options are partially derived from user module account cancel options:
-    *
-    'ldap_user_orphan_do_not_check' => Do not check for orphaned Drupal accounts.)
-    'ldap_user_orphan_email' => Perform no action, but email list of orphaned accounts. (All the other options will send email summaries also.)
-    'user_cancel_block' => Disable the account and keep its content.
-    'user_cancel_block_unpublish' => Disable the account and unpublish its content.
-    'user_cancel_reassign' => Delete the account and make its content belong to the Anonymous user.
-    'user_cancel_delete' => Delete the account and its content.
-    */
+  /**
+   * Options are partially derived from user module account cancel options:.
+   *
+   * 'ldap_user_orphan_do_not_check' => Do not check for orphaned Drupal accounts.)
+   * 'ldap_user_orphan_email' => Perform no action, but email list of orphaned accounts. (All the other options will send email summaries also.)
+   * 'user_cancel_block' => Disable the account and keep its content.
+   * 'user_cancel_block_unpublish' => Disable the account and unpublish its content.
+   * 'user_cancel_reassign' => Delete the account and make its content belong to the Anonymous user.
+   * 'user_cancel_delete' => Delete the account and its content.
+   */
 
   public $orphanedCheckQty = 100;
 
-// public $wsKey = NULL;
-//  public $wsEnabled = 0;
-//  public $wsUserIps = array();
-
-  public $provisionsLdapEvents = array();
-  public $provisionsDrupalEvents = array();
+  public $provisionsLdapEvents = [];
+  public $provisionsDrupalEvents = [];
 
-  public $saveable = array(
+  public $saveable = [
     'drupalAcctProvisionServer',
     'ldapEntryProvisionServer',
     'drupalAcctProvisionTriggers',
@@ -197,23 +203,26 @@ class LdapUserConf {
     'acctCreation',
     'ldapUserSynchMappings',
     'disableAdminPasswordField',
-  );
-// 'wsKey','wsEnabled','wsUserIps',
-  function __construct() {
+  ];
+
+  /**
+   *
+   */
+  public function __construct() {
     $this->load();
 
     $this->provisionSidFromDirection[LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER] = $this->drupalAcctProvisionServer;
     $this->provisionSidFromDirection[LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] = $this->ldapEntryProvisionServer;
 
-    $this->provisionsLdapEvents = array(
+    $this->provisionsLdapEvents = [
       LDAP_USER_EVENT_CREATE_LDAP_ENTRY => t('On LDAP Entry Creation'),
       LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY => t('On Synch to LDAP Entry'),
-      );
+    ];
 
-    $this->provisionsDrupalEvents = array(
+    $this->provisionsDrupalEvents = [
       LDAP_USER_EVENT_CREATE_DRUPAL_USER => t('On Drupal User Creation'),
       LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER => t('On Synch to Drupal User'),
-      );
+    ];
 
     $this->provisionsDrupalAccountsFromLdap = (
       $this->drupalAcctProvisionServer &&
@@ -231,7 +240,10 @@ class LdapUserConf {
     $this->detailedWatchdog = variable_get('ldap_help_watchdog_detail', 0);
   }
 
-  function load() {
+  /**
+   *
+   */
+  public function load() {
 
     if ($saved = variable_get("ldap_user_conf", FALSE)) {
       $this->inDatabase = TRUE;
@@ -245,9 +257,9 @@ class LdapUserConf {
       $this->inDatabase = FALSE;
       // By default this variable should be 0 if the "sharedemail" module
       // is not enabled, or 1 if the module is.
-      $this->accountsWithSameEmail = (int)module_exists('sharedemail');
+      $this->accountsWithSameEmail = (int) module_exists('sharedemail');
     }
-    // determine account creation configuration
+    // Determine account creation configuration.
     $user_register = variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL);
     if ($this->acctCreation == LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR_DEFAULT || $user_register == USER_REGISTER_VISITORS) {
       $this->createLDAPAccounts = TRUE;
@@ -264,33 +276,33 @@ class LdapUserConf {
   }
 
   /**
-   * Destructor Method
+   * Destructor Method.
    */
-  function __destruct() { }
-
+  public function __destruct() {}
 
   /**
-   * Util to fetch mappings for a given direction
+   * Util to fetch mappings for a given direction.
    *
    * @param string $sid
-   *   The server id
-   * @param string $direction LDAP_USER_PROV_DIRECTION_* constant
+   *   The server id.
+   * @param string $direction
+   *   LDAP_USER_PROV_DIRECTION_* constant.
    * @param array $prov_events
    *
-   * @return array/bool
+   * @return arraybool
    *   Array of mappings (may be empty array)
-  */
+   */
   public function getSynchMappings($direction = LDAP_USER_PROV_DIRECTION_ALL, $prov_events = NULL) {
     if (!$prov_events) {
       $prov_events = ldap_user_all_events();
     }
 
-    $mappings = array();
+    $mappings = [];
     if ($direction == LDAP_USER_PROV_DIRECTION_ALL) {
-      $directions = array(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY);
+      $directions = [LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY];
     }
     else {
-      $directions = array($direction);
+      $directions = [$direction];
     }
     foreach ($directions as $direction) {
       if (!empty($this->ldapUserSynchMappings[$direction])) {
@@ -307,6 +319,9 @@ class LdapUserConf {
     return $mappings;
   }
 
+  /**
+   *
+   */
   public function isDrupalAcctProvisionServer($sid) {
     if (!$sid || !$this->drupalAcctProvisionServer) {
       return FALSE;
@@ -319,6 +334,9 @@ class LdapUserConf {
     }
   }
 
+  /**
+   *
+   */
   public function isLdapEntryProvisionServer($sid) {
     if (!$sid || !$this->ldapEntryProvisionServer) {
       return FALSE;
@@ -334,18 +352,18 @@ class LdapUserConf {
   /**
    * Util to fetch attributes required for this user conf, not other modules.
    *
-   * @param enum $direction LDAP_USER_PROV_DIRECTION_* constants
+   * @param enum $direction
+   *   LDAP_USER_PROV_DIRECTION_* constants.
    * @param string $ldap_context
-   *
-  */
+   */
   public function getLdapUserRequiredAttributes($direction = LDAP_USER_PROV_DIRECTION_ALL, $ldap_context = NULL) {
 
-    $attributes_map = array();
-    $required_attributes = array();
+    $attributes_map = [];
+    $required_attributes = [];
     if ($this->drupalAcctProvisionServer) {
       $prov_events = $this->ldapContextToProvEvents($ldap_context);
       $attributes_map = $this->getSynchMappings($direction, $prov_events);
-      $required_attributes = array();
+      $required_attributes = [];
       foreach ($attributes_map as $detail) {
         if (count(array_intersect($prov_events, $detail['prov_events']))) {
           // Add the attribute to our array.
@@ -358,20 +376,19 @@ class LdapUserConf {
     return $required_attributes;
   }
 
-/**
- * converts the more general ldap_context string to its associated ldap user event
- */
-
+  /**
+   * Converts the more general ldap_context string to its associated ldap user event.
+   */
   public function ldapContextToProvEvents($ldap_context = NULL) {
 
     switch ($ldap_context) {
 
       case 'ldap_user_prov_to_drupal':
-        $result = array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT);
+        $result = [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT];
         break;
 
       case 'ldap_user_prov_to_ldap':
-        $result = array(LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY, LDAP_USER_EVENT_CREATE_LDAP_ENTRY);
+        $result = [LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY, LDAP_USER_EVENT_CREATE_LDAP_ENTRY];
         break;
 
       default:
@@ -383,11 +400,9 @@ class LdapUserConf {
 
   }
 
-
-/**
- * converts the more general ldap_context string to its associated ldap user prov direction
- */
-
+  /**
+   * Converts the more general ldap_context string to its associated ldap user prov direction.
+   */
   public function ldapContextToProvDirection($ldap_context = NULL) {
 
     switch ($ldap_context) {
@@ -401,7 +416,7 @@ class LdapUserConf {
         $result = LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY;
         break;
 
-      // provisioning is can hapen in both directions in most contexts
+      // Provisioning is can hapen in both directions in most contexts.
       case 'ldap_user_insert_drupal_user':
       case 'ldap_user_update_drupal_user':
       case 'ldap_authentication_authenticate':
@@ -419,32 +434,35 @@ class LdapUserConf {
   }
 
   /**
-    derive mapping array from ldap user configuration and other configurations.
-    if this becomes a resource hungry function should be moved to ldap_user functions
-    and stored with static variable. should be cached also.
-
-    this should be cached and modules implementing ldap_user_synch_mapping_alter
-    should know when to invalidate cache.
+   * Derive mapping array from ldap user configuration and other configurations.
+   * if this becomes a resource hungry function should be moved to ldap_user functions
+   * and stored with static variable. should be cached also.
+   *
+   * This should be cached and modules implementing ldap_user_synch_mapping_alter
+   * should know when to invalidate cache.
+   */
 
+  /**
+   * @todo change default to false after development
    */
+  public function setSynchMapping($reset = TRUE) {
 
-  function setSynchMapping($reset = TRUE) {  // @todo change default to false after development
     $synch_mapping_cache = cache_get('ldap_user_synch_mapping');
     if (!$reset && $synch_mapping_cache) {
       $this->synchMapping = $synch_mapping_cache->data;
     }
     else {
-      $available_user_attrs = array();
-      foreach (array(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) as $direction) {
+      $available_user_attrs = [];
+      foreach ([LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] as $direction) {
         $sid = $this->provisionSidFromDirection[$direction];
-        $available_user_attrs[$direction] = array();
+        $available_user_attrs[$direction] = [];
         $ldap_server = ($sid) ? ldap_servers_get_servers($sid, NULL, TRUE) : FALSE;
 
-        $params = array(
+        $params = [
           'ldap_server' => $ldap_server,
           'ldap_user_conf' => $this,
           'direction' => $direction,
-        );
+        ];
 
         drupal_alter('ldap_user_attrs_list', $available_user_attrs[$direction], $params);
       }
@@ -455,21 +473,23 @@ class LdapUserConf {
   }
 
   /**
-   * given a $prov_event determine if ldap user configuration supports it.
-   *   this is overall, not per field synching configuration
+   * Given a $prov_event determine if ldap user configuration supports it.
+   *   this is overall, not per field synching configuration.
    *
-   * @param enum $direction LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
+   * @param enum $direction
+   *   LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY.
    *
    * @param enum $prov_event
    *   LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, LDAP_USER_EVENT_CREATE_DRUPAL_USER
    *   LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY LDAP_USER_EVENT_CREATE_LDAP_ENTRY
    *   LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT
-   *   LDAP_USER_EVENT_ALL
+   *   LDAP_USER_EVENT_ALL.
+   *
+   * @param enum $action
+   *   'synch', 'provision', 'delete_ldap_entry', 'delete_drupal_entry', 'cancel_drupal_entry'.
    *
-   * @param enum $action 'synch', 'provision', 'delete_ldap_entry', 'delete_drupal_entry', 'cancel_drupal_entry'
-   * @return boolean
+   * @return bool
    */
-
   public function provisionEnabled($direction, $provision_trigger) {
     $result = FALSE;
 
@@ -495,30 +515,30 @@ class LdapUserConf {
     return $result;
   }
 
- /**
-   * given a drupal account, provision an ldap entry if none exists.  if one exists do nothing
+  /**
+   * Given a drupal account, provision an ldap entry if none exists.  if one exists do nothing.
    *
-   * @param object $account drupal account object with minimum of name property
-   * @param array $ldap_user as prepopulated ldap entry.  usually not provided
+   * @param object $account
+   *   drupal account object with minimum of name property.
+   * @param array $ldap_user
+   *   as prepopulated ldap entry.  usually not provided.
    *
    * @return array of form:
-   *     array('status' => 'success', 'fail', or 'conflict'),
+   *   array('status' => 'success', 'fail', or 'conflict'),
    *     array('ldap_server' => ldap server object),
    *     array('proposed' => proposed ldap entry),
    *     array('existing' => existing ldap entry),
    *     array('description' = > blah blah)
-   *
    */
-
   public function provisionLdapEntry($account, $ldap_user = NULL, $test_query = FALSE) {
-    $watchdog_tokens = array();
-    $result = array(
+    $watchdog_tokens = [];
+    $result = [
       'status' => NULL,
       'ldap_server' => NULL,
       'proposed' => NULL,
       'existing' => NULL,
       'description' => NULL,
-    );
+    ];
 
     if (is_scalar($account)) {
       $username = $account;
@@ -531,7 +551,8 @@ class LdapUserConf {
     if (is_object($account) && property_exists($account, 'uid') && $account->uid == 1) {
       $result['status'] = 'fail';
       $result['error_description'] = 'can not provision drupal user 1';
-      return $result; // do not provision or synch user 1
+      // Do not provision or synch user 1.
+      return $result;
     }
 
     if ($account == FALSE || $account->uid == 0) {
@@ -547,13 +568,13 @@ class LdapUserConf {
     }
 
     $ldap_server = ldap_servers_get_servers($this->ldapEntryProvisionServer, NULL, TRUE);
-    $params = array(
+    $params = [
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
-      'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY),
+      'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY],
       'module' => 'ldap_user',
       'function' => 'provisionLdapEntry',
       'include_count' => FALSE,
-    );
+    ];
 
     list($proposed_ldap_entry, $error) = $this->drupalUserToLdapEntry($account, $ldap_server, $params, $ldap_user);
     $proposed_dn = (is_array($proposed_ldap_entry) && isset($proposed_ldap_entry['dn']) && $proposed_ldap_entry['dn']) ? $proposed_ldap_entry['dn'] : NULL;
@@ -586,15 +607,15 @@ class LdapUserConf {
       $result['ldap_server'] = $ldap_server;
     }
     else {
-      // stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call
-      $ldap_entries = array($proposed_dn_lcase => $proposed_ldap_entry);
-      $context = array(
+      // Stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call.
+      $ldap_entries = [$proposed_dn_lcase => $proposed_ldap_entry];
+      $context = [
         'action' => 'add',
-        'corresponding_drupal_data' => array($proposed_dn_lcase => $account),
+        'corresponding_drupal_data' => [$proposed_dn_lcase => $account],
         'corresponding_drupal_data_type' => 'user',
-      );
+      ];
       drupal_alter('ldap_entry_pre_provision', $ldap_entries, $ldap_server, $context);
-      // remove altered $proposed_ldap_entry from $ldap_entries array
+      // Remove altered $proposed_ldap_entry from $ldap_entries array.
       $proposed_ldap_entry = $ldap_entries[$proposed_dn_lcase];
 
       $ldap_entry_created = $ldap_server->createLdapEntry($proposed_ldap_entry, $proposed_dn);
@@ -606,10 +627,10 @@ class LdapUserConf {
         $result['created'] = $ldap_entry_created;
         $result['ldap_server'] = $ldap_server;
 
-        // need to store <sid>|<dn> in ldap_user_prov_entries field, which may contain more than one
+        // Need to store <sid>|<dn> in ldap_user_prov_entries field, which may contain more than one.
         $ldap_user_prov_entry = $ldap_server->sid . '|' . $proposed_ldap_entry['dn'];
         if (!isset($user_entity->ldap_user_prov_entries[LANGUAGE_NONE])) {
-          $user_entity->ldap_user_prov_entries = array(LANGUAGE_NONE => array());
+          $user_entity->ldap_user_prov_entries = [LANGUAGE_NONE => []];
         }
         $ldap_user_prov_entry_exists = FALSE;
         foreach ($user_entity->ldap_user_prov_entries[LANGUAGE_NONE] as $i => $field_value_instance) {
@@ -618,9 +639,9 @@ class LdapUserConf {
           }
         }
         if (!$ldap_user_prov_entry_exists) {
-          $user_entity->ldap_user_prov_entries[LANGUAGE_NONE][] = array(
+          $user_entity->ldap_user_prov_entries[LANGUAGE_NONE][] = [
             'value' => $ldap_user_prov_entry,
-          );
+          ];
 
           // Save the field without calling user_save()
           field_attach_presave('user', $user_entity);
@@ -637,13 +658,13 @@ class LdapUserConf {
       }
     }
 
-    $tokens = array(
+    $tokens = [
       '%dn' => isset($result['proposed']['dn']) ? $result['proposed']['dn'] : NULL,
       '%sid' => (isset($result['ldap_server']) && $result['ldap_server']) ? $result['ldap_server']->sid : 0,
       '%username' => @$account->name,
       '%uid' => @$account->uid,
       '%description' => @$result['description'],
-    );
+    ];
     if (!$test_query && isset($result['status'])) {
       if ($result['status'] == 'success') {
         if ($this->detailedWatchdog) {
@@ -662,37 +683,39 @@ class LdapUserConf {
     return $result;
   }
 
-
   /**
-   * given a drupal account, synch to related ldap entry
+   * Given a drupal account, synch to related ldap entry.
    *
-   * @param drupal user object $account.  Drupal user object
-   * @param array $user_edit.  Edit array for user_save.  generally null unless user account is being created or modified in same synching
-   * @param array $ldap_user.  current ldap data of user. @see README.developers.txt for structure
+   * @param drupal user object $account
+   *   Drupal user object.
+   * @param array $user_edit
+   *   Edit array for user_save.  generally null unless user account is being created or modified in same synching.
+   * @param array $ldap_user
+   *   current ldap data of user. @see README.developers.txt for structure.
    *
    * @return TRUE on success or FALSE on fail.
    */
-
-  public function synchToLdapEntry($account, $user_edit = NULL, $ldap_user =  array(), $test_query = FALSE) {
+  public function synchToLdapEntry($account, $user_edit = NULL, $ldap_user = [], $test_query = FALSE) {
 
     if (is_object($account) && property_exists($account, 'uid') && $account->uid == 1) {
-      return FALSE; // do not provision or synch user 1
+      // Do not provision or synch user 1.
+      return FALSE;
     }
 
-    $watchdog_tokens = array();
+    $watchdog_tokens = [];
     $result = FALSE;
     $proposed_ldap_entry = FALSE;
 
     if ($this->ldapEntryProvisionServer) {
       $ldap_server = ldap_servers_get_servers($this->ldapEntryProvisionServer, NULL, TRUE);
 
-      $params = array(
+      $params = [
         'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
-        'prov_events' => array(LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
+        'prov_events' => [LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
         'module' => 'ldap_user',
         'function' => 'synchToLdapEntry',
         'include_count' => FALSE,
-      );
+      ];
 
       list($proposed_ldap_entry, $error) = $this->drupalUserToLdapEntry($account, $ldap_server, $params, $ldap_user);
       if ($error != LDAP_USER_PROV_RESULT_NO_ERROR) {
@@ -700,7 +723,8 @@ class LdapUserConf {
       }
       elseif (is_array($proposed_ldap_entry) && isset($proposed_ldap_entry['dn'])) {
         $existing_ldap_entry = $ldap_server->dnExists($proposed_ldap_entry['dn'], 'ldap_entry');
-        $attributes = array(); // this array represents attributes to be modified; not comprehensive list of attributes
+        // This array represents attributes to be modified; not comprehensive list of attributes.
+        $attributes = [];
         foreach ($proposed_ldap_entry as $attr_name => $attr_values) {
           if ($attr_name != 'dn') {
             if (isset($attr_values['count'])) {
@@ -717,40 +741,42 @@ class LdapUserConf {
 
         if ($test_query) {
           $proposed_ldap_entry = $attributes;
-          $result = array(
+          $result = [
             'proposed' => $proposed_ldap_entry,
             'server' => $ldap_server,
-          );
+          ];
         }
         else {
-          // stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call
+          // Stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call.
           $proposed_dn_lcase = drupal_strtolower($proposed_ldap_entry['dn']);
-          $ldap_entries = array($proposed_dn_lcase => $attributes);
-          $context = array(
+          $ldap_entries = [$proposed_dn_lcase => $attributes];
+          $context = [
             'action' => 'update',
-            'corresponding_drupal_data' => array($proposed_dn_lcase => $attributes),
+            'corresponding_drupal_data' => [$proposed_dn_lcase => $attributes],
             'corresponding_drupal_data_type' => 'user',
-          );
+          ];
           drupal_alter('ldap_entry_pre_provision', $ldap_entries, $ldap_server, $context);
-          // remove altered $proposed_ldap_entry from $ldap_entries array
+          // Remove altered $proposed_ldap_entry from $ldap_entries array.
           $attributes = $ldap_entries[$proposed_dn_lcase];
           $result = $ldap_server->modifyLdapEntry($proposed_ldap_entry['dn'], $attributes);
-          if ($result) { // success
+          // Success.
+          if ($result) {
             module_invoke_all('ldap_entry_post_provision', $ldap_entries, $ldap_server, $context);
           }
         }
       }
-      else { // failed to get acceptable proposed ldap entry
+      // Failed to get acceptable proposed ldap entry.
+      else {
         $result = FALSE;
       }
     }
 
-    $tokens = array(
+    $tokens = [
       '%dn' => isset($proposed_ldap_entry['dn']) ? $proposed_ldap_entry['dn'] : NULL,
       '%sid' => $this->ldapEntryProvisionServer,
       '%username' => $account->name,
       '%uid' => ($test_query || !property_exists($account, 'uid')) ? '' : $account->uid,
-    );
+    ];
 
     if ($result) {
       watchdog('ldap_user', 'LDAP entry on server %sid synched dn=%dn. username=%username, uid=%uid', $tokens, WATCHDOG_INFO);
